> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# List refunds

> Retrieve a list of refunds associated with the store's connected Stripe account. Ensures the store is linked to a Stripe account. Controls the number of refunds fetched by using `limit` as a query parameter.



## OpenAPI

````yaml /api-reference/shopper-api.json get /refunds
openapi: 3.0.0
info:
  title: Shopper API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security:
  - bearerAuth: []
paths:
  /refunds:
    get:
      tags:
        - Shopper Orders
      summary: List refunds
      description: >-
        Retrieve a list of refunds associated with the store's connected Stripe
        account. Ensures the store is linked to a Stripe account. Controls the
        number of refunds fetched by using `limit` as a query parameter.
      parameters:
        - name: limit
          in: query
          description: Number of refunds to retrieve.
          schema:
            type: integer
      responses:
        '200':
          description: Refunds retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefundsList'
        '400':
          description: Bad Request - Store has no connected Stripe account.
        '401':
          description: Unauthorized - Store ID header missing.
        '500':
          description: Internal Server Error.
      security:
        - storeIdHeader: []
components:
  schemas:
    RefundsList:
      type: object
      properties:
        meta:
          type: object
          properties:
            has_more:
              type: boolean
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              amount:
                type: integer
              currency:
                type: string
              status:
                type: string
              reason:
                type: string
              created:
                type: string
                format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    storeIdHeader:
      type: apiKey
      in: header
      name: x-store-id

````